Y_Wang1 2022-02-16 11:21 采纳率: 25%
浏览 429
已结题

python连接调试器失败

问题遇到的现象和发生背景
问题相关代码,请勿粘贴截图

C:\Users\wangyou\PycharmProjects\03.循环\venv\Scripts\python.exe "D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev\pydevd.py" --multiproc --client 127.0.0.1 --port 54939 --file C:/Users/wangyou/AppData/Local/Programs/Python/Python310/Lib/queue.py
Traceback (most recent call last):
File "D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev_pydevd_bundle\pydevd_cython_wrapper.py", line 8, in
from _pydevd_bundle_ext import pydevd_cython as mod
ModuleNotFoundError: No module named '_pydevd_bundle_ext'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev_pydevd_bundle\pydevd_cython_wrapper.py", line 11, in
from _pydevd_bundle import pydevd_cython as mod
ImportError: cannot import name 'pydevd_cython' from 'pydevd_bundle' (D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev_pydevd_bundle_init.py)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev\pydevd.py", line 55, in
from _pydevd_bundle.pydevd_trace_dispatch import (
File "D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev_pydevd_bundle\pydevd_trace_dispatch.py", line 55, in
from _pydevd_bundle.pydevd_cython_wrapper import trace_dispatch as _trace_dispatch, global_cache_skips, global_cache_frame_skips, fix_top_level_trace_and_get_trace_func
File "D:\pycharm\PyCharm Community Edition 2021.3.1\plugins\python-ce\helpers\pydev_pydevd_bundle\pydevd_cython_wrapper.py", line 35, in
mod = getattr(import(check_name), mod_name)
File "_pydevd_bundle\pydevd_cython_win32_310_64.pyx", line 1, in init _pydevd_bundle.pydevd_cython_win32_310_64
ValueError: builtins.type size changed, may indicate binary incompatibility. Expected 888 from C header, got 880 from PyObject

运行结果及报错内容
我的解答思路和尝试过的方法
我想要达到的结果
  • 写回答

2条回答 默认 最新

  • CSDN专家-黄老师 2022-02-16 11:34
    关注

    ValueError代表你的是数值问题,异常中没有看到你代码出错位置,只知道queue队列的异常

    本回答被题主选为最佳回答 , 对您是否有帮助呢?
    评论
查看更多回答(1条)

报告相同问题?

问题事件

  • 系统已结题 2月26日
  • 已采纳回答 2月18日
  • 创建了问题 2月16日

悬赏问题

  • ¥15 App的会员连续扣费
  • ¥15 不同数据类型的特征融合应该怎么做
  • ¥15 用proteus软件设计一个基于8086微处理器的简易温度计
  • ¥15 用联想小新14Pro
  • ¥15 multisim中关于74ls192n和DSWPK开关仿真图分析(减法计数器)
  • ¥15 基于8255的交通灯设计
  • ¥15 w3wp,exe 中发生未处理的 Microsoft ,NETFramework 异常。
  • ¥20 C51单片机程序及仿真(加减器)
  • ¥15 AQWA | 水动力分析 二阶波浪力
  • ¥15 c语言题目:成绩管理系统